Object API Resource

HDC Object Web Service

POST /object/byguids

Try it out!

Request Parameters
name type description default constraints
resolveData query false boolean
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json object (JSON)

PUT /object/eraseproperty

Erase specified propety of the specified object.

Example of request:

{"classId":"14","typeId":"0","metadata":[{"fi2space_id":"e0ed432f-a826-439c-9793-5e47a28232c5"},{"fi2space_name":"2298j"},{"fi2space_descr":"LGHj*(&^&^$%@"},{"fi2space_class":"BIA"},{"hd_objcustom2":"00j\\"},{"fi2space_areabra":"11.63"},{"fi2space_areanta":"10.63"},{"fi2space_areabta":"11.82"}],"id":"e0ed432f-a826-439c-9793-5e47a28232c5"}

Try it out!

Request Body
media type data type description
application/json HdcObjectTO (JSON) The specification of object that has to be cleaned.
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the secure property erase has or has not been succeeded.

DELETE /object/json

Try it out!

Request Body
media type data type
application/json BulkDeleteObjectsRequest (JSON)
Response Body
media type data type description
application/json object (JSON)

POST /object/json

Add the specified object. Optionally the added object could be also linked to the other specified object.

Example of request:

{"classId":"14","metadata":{"fi2space_name":"2298j","fi2space_descr":"LGHj*(&^&^$%@","fi2space_class":"BIA","hd_objcustom2":"00j\\","fi2space_areabra":"11.63","fi2space_areanta":"10.63","fi2space_areabta":"11.82"}}

Try it out!

Request Parameters
name type description default constraints
relativeClassId query The unique identifier of object class that added object has to be linked to.   long
relativeId query The unique identifier of object that added object has to be linked to.   long
Request Body
media type data type description
application/json HdcObjectTO (JSON) The specification of object that has to be added.
Response Body
media type data type description
application/json HdcBasicTO (JSON) JSON Response with information, whether the adding has or has not been succeeded.

PUT /object/json

Update the specified object.

Example of request:

{"classId":"14","typeId":"0","metadata":[{"fi2space_id":"e0ed432f-a826-439c-9793-5e47a28232c5"},{"fi2space_name":"2298j"},{"fi2space_descr":"LGHj*(&^&^$%@"},{"fi2space_class":"BIA"},{"hd_objcustom2":"00j\\"},{"fi2space_areabra":"11.63"},{"fi2space_areanta":"10.63"},{"fi2space_areabta":"11.82"}],"id":"e0ed432f-a826-439c-9793-5e47a28232c5"}

Try it out!

Request Body
media type data type description
application/json HdcObjectTO (JSON) The specification of object that has to be updated.
Response Body
media type data type description
application/json HdcBasicTO (JSON) JSON Response with information, whether the update has or has not been succeeded.

POST /object/lastmodified

Get last modified objects in current version

Try it out!

Request Parameters
name type description default constraints
limit query Used in paging, defines the number of objects returned in a single call.   long
offset query Used in paging, defines the offset for positions.   long
Request Body
media type data type description
application/json array of HdcObjectTO (JSON) Collection of input objects

Example of request:

[{"classId":"107","objectId":"14464"},{"classId":"108","objectId":"14414"},{"classId":"113","objectId":"14414"}]
Response Body
media type data type description
application/json object (JSON) JSON Response with the list of objects.

Example of response:

{ "total" : 35, "list":[ {"date": "2023-02-09T10:41:50.320476Z", "versionId": 5, "classId":"107", "objectId":"14464", userId: 10, operationId: 1}, {"date": "2023-02-09T10:41:50.320476Z", "versionId": 5, "classId":"108", "objectId":"14414", userId: 10, operationId: 1}, {"date": "2023-02-09T10:41:50.320476Z", "versionId": 5, "classId":"113", "objectId":"14414", userId: 10, operationId: 1}]}

POST /object/linkedspots

Get spots linked to objects

Example of request:

[{"objectId":"115405","classId":"108"},{"objectId":"5219","classId":"108"}]

Try it out!

Request Body
media type data type
application/json array of HdcObjectModelTO (JSON)
Response Body
media type data type description
application/json HdcBaseTO (JSON) JSON Response with the specified object's list of links.

Example of response:

{"list":[{"classId":108,"objectId":5219,"seqId":"16","layerId":"3","layerName":"BTA","entityId":"1919","vectorId":"212","area":0.0,"isGlobal":true},{"classId":108,"objectId":5219,"seqId":"48","layerId":"2","layerName":"BRA","entityId":"1951","vectorId":"212","area":0.0,"isGlobal":true},{"classId":108,"objectId":5219,"seqId":"80","layerId":"4","layerName":"NTA","entityId":"1983","vectorId":"212","area":0.0,"isGlobal":true},{"classId":108,"objectId":115405,"seqId":"113","layerId":"2","layerName":"BRA","entityId":"269928","vectorId":"212","area":0.0,"isGlobal":true}]}

POST /object/modifiedintimeframe

Get objects modified in timeframe in master version

Try it out!

Request Parameters
name type description default constraints
limit query Used in paging, defines the number of objects returned in a single call.   long
offset query Used in paging, defines the offset for positions.   long
Request Body
media type data type description
application/json ObjectsInTimeFrameRequest (JSON) Json containing set of classes ids and timespan params 'from' and 'to'

Example of request:

{"classes": [107, 108, 113], "from" : "2023-02-09T10:41:50.320476Z", "to": "2023-02-09T14:02:48.320599Z"}
Response Body
media type data type description
application/json object (JSON) JSON Response with the list of objects. Example of response:

{ "total" : 35, "list":[ {"date": "2023-02-09T10:41:50.320476Z", "versionId": 5, "classId":"107", "objectId":"14464", userId: 10, operationId: 1}, {"date": "2023-02-09T10:41:50.320476Z", "versionId": 5, "classId":"108", "objectId":"14414", userId: 10, operationId: 1}, {"date": "2023-02-09T10:41:50.320476Z", "versionId": 5, "classId":"113", "objectId":"14414", userId: 10, operationId: 1}]}

PUT /object/byguid/eraseproperty

Erase specified propety of the specified object.

Example of request:

{"typeId":"0","metadata":[{"fi2space_id":"e0ed432f-a826-439c-9793-5e47a28232c5"},{"fi2space_name":"2298j"},{"fi2space_descr":"LGHj*(&^&^$%@"},{"fi2space_class":"BIA"},{"hd_objcustom2":"00j\\"},{"fi2space_areabra":"11.63"},{"fi2space_areanta":"10.63"},{"fi2space_areabta":"11.82"}],"systemGuid":"e0ed432f-a826-439c-9793-5e47a28232c5"}

Try it out!

Request Body
media type data type description
application/json HdcObjectTO (JSON) The specification of object that has to be cleaned.
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the secure property erase has or has not been succeeded.

PUT /object/byguid/json

Update the specified object.

Example of request:

{"typeId":"0","metadata":[{"fi2space_id":"e0ed432f-a826-439c-9793-5e47a28232c5"},{"fi2space_name":"2298j"},{"fi2space_descr":"LGHj*(&^&^$%@"},{"fi2space_class":"BIA"},{"hd_objcustom2":"00j\\"},{"fi2space_areabra":"11.63"},{"fi2space_areanta":"10.63"},{"fi2space_areabta":"11.82"}],"systemGuid":"e0ed432f-a826-439c-9793-5e47a28232c5"}

Try it out!

Request Body
media type data type description
application/json HdcObjectTO (JSON) The specification of object that has to be updated.
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the update has or has not been succeeded.

POST /object/byguid/linkedspots

Get spots linked to objects

Example of request:

[{"systemGuid":"3a4f117a-b78e-4463-9db4-a258a7fd5f64"},{"systemGuid":"g6ec91a9-8248-4121-84b0-f50cb42ed371"}]

Try it out!

Request Body
media type data type
application/json array of HdcObjectModelTO (JSON)
Response Body
media type data type description
application/json HdcBaseTO (JSON) JSON Response with the specified object's list of links.

Example of response:

{"list":[{"classId":108,"objectId":5219,"seqId":"16","layerId":"3","layerName":"BTA","entityId":"1919","vectorId":"212","area":0.0,"isGlobal":true},{"classId":108,"objectId":5219,"seqId":"48","layerId":"2","layerName":"BRA","entityId":"1951","vectorId":"212","area":0.0,"isGlobal":true},{"classId":108,"objectId":5219,"seqId":"80","layerId":"4","layerName":"NTA","entityId":"1983","vectorId":"212","area":0.0,"isGlobal":true},{"classId":108,"objectId":115405,"seqId":"113","layerId":"2","layerName":"BRA","entityId":"269928","vectorId":"212","area":0.0,"isGlobal":true}]}

POST /object/convert/{classId}

Convert given objects from one class to another.

Example of request:

[{"objectId": "243698", "classId": "14"}, {"objectId": "243699", "classId": "14"}]

Try it out!

Request Parameters
name type description default constraints
classId path Target class ID.   long
Request Body
media type data type
application/json array of HdcObjectTO (JSON)
Response Body
media type data type description
application/json HdcConvertClassesReportTO (JSON) JSON:

Examples of response:

{"report":[{"classId":"121","objectId":"99666","targetObjectId":"103207","result":{"success":true}}]} {"report":[{"classId":"121","objectId":"99666","result":{"errorMessage":"User doesn't have rights to delete object '9999' of class '11'","errorCodeNumber":10000,"errorCode":"Default","errorContext":"ConvertObjectsClassController","errorLevel":"Critical","success":false}}]}

PUT /object/group/json

Update the specified properties values of the specified objects.

Example of request:

{"classId":108,"objects":[{"objectId":"5218","classId":"108"},{"objectId":"5219","classId":"108"},{"objectId":"5219","classId":"102"},{"objectId":"23123213","classId":"108"}],"metadata":[{"fi2space_id":"e0ed432f-a826-439c-9793-5e47a28232c5"},{"fi2space_name":"2298j"},{"fi2space_descr":"LGHj*(&^&^$%@"},{"fi2space_class":"BIA"},{"hd_objcustom2":"00j\\"},{"fi2space_areabra":"11.63"},{"fi2space_areanta":"10.63"},{"fi2space_areabta":"11.82"}]}

Try it out!

Request Body
media type data type description
application/json HdcObjsGroupRequestTO (JSON) The specification of object that has to be updated.
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the update has or has not been succeeded.

Example of response:

{"list":[{"classId":108,"objectId":"5218","objectName":"6","success":true},{"classId":108,"objectId":"5219","objectName":"7","success":true},{"classId":102,"objectId":"5219","error":{"errorMessage":"Object class is not assignable from given update class","errorCodeNumber":10954,"errorCode":"InvalidClass","errorLevel":"Critical","success":false},"success":false},{"classId":108,"objectId":"23123213","error":{"errorMessage":"Object not found","errorCodeNumber":10939,"errorCode":"ObjectIdNotFound","errorLevel":"Fatal","success":false},"success":false}]}

POST /object/outsidepath/json

Try it out!

Request Body
media type data type
application/json array of HdcObjectTO (JSON)
Response Body
media type data type description
application/json object (JSON)

POST /object/properties/xls

Starts process that generates XLS file with object properties for given object set

Try it out!

Request Parameters
name type description default constraints
sortField query    
Request Body
media type data type description
application/json array of HdcObjectWithChildrenTO (JSON) json with objects

Example of request:

[{"classId":"107","objectId":"14464"},{"classId":"108","objectId":"14414"},{"classId":"113","objectId":"14414"}]
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON) json response with information about started process

DELETE /object/byguid/erase/{guid}

Delete object of the specified class with the specified identifier.

Try it out!

Request Parameters
name type description default constraints
guid path The unique UUID identifier of object.    
eraseSubtree query false boolean
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the deletion has or has not been succeeded.

PUT /object/byguid/group/json

Update the specified properties values of the specified objects.

Example of request:

{"classId":108,"objects":[{"systemGuid":"856a49e4-f816-48e4-91f0-90383abb8a83"},{"systemGuid":"3a4f117a-b78e-4463-9db4-a258a7fd5f6c"],"metadata":[{"fi2space_id":"e0ed432f-a826-439c-9793-5e47a28232c5"},{"fi2space_name":"2298j"},{"fi2space_descr":"LGHj*(&^&^$%@"},{"fi2space_class":"BIA"},{"hd_objcustom2":"00j\\"},{"fi2space_areabra":"11.63"},{"fi2space_areanta":"10.63"},{"fi2space_areabta":"11.82"}]}

Try it out!

Request Body
media type data type description
application/json HdcObjsGroupRequestTO (JSON) The specification of object that has to be updated.
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the update has or has not been succeeded.

Example of response:

{"list":[{"classId":108,"objectId":"5218","objectName":"6","success":true},{"classId":108,"objectId":"5219","objectName":"7","success":true},{"classId":102,"objectId":"5219","error":{"errorMessage":"Object class is not assignable from given update class","errorCodeNumber":10954,"errorCode":"InvalidClass","errorLevel":"Critical","success":false},"success":false},{"classId":108,"objectId":"23123213","error":{"errorMessage":"Object not found","errorCodeNumber":10939,"errorCode":"ObjectIdNotFound","errorLevel":"Fatal","success":false},"success":false}]}

DELETE /object/byguid/json/{guid}

Delete object of the specified class with the specified identifier.

Try it out!

Request Parameters
name type description default constraints
guid path The unique UUID identifier of object.    
Request Body
media type data type
application/json DeleteObjectsRequest (JSON)
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the deletion has or has not been succeeded.

GET /object/byguid/json/{guid}

Get properties for given object identified by guid.

Try it out!

Request Parameters
name type description default constraints
guid path The unique UUID identifier of object.    
location query - boolean flag false boolean
srId query - spatial reference id   long
status query If set to true - status mode is activated. false boolean
Response Body
media type data type description
application/json object (JSON) JSON Response with the specified object properties. Properties are in format {propertyName:propertyValue}.

Example of response:

{"metadata":{"fi2prop_function":"00","hd_objcustom3":"Vindragarvägen 16-18","fi2prop_class":"00","hdid":"90","hd_objcustom1":"Reimersholme","hd_objcustom2":"Södermalm","fi2prop_guid":"265a082e-8252-40d9-a867-24d923245262","fi2prop_name":"7101 - Mälteriet 2","fi2prop_id":"106","fi2prop_fullname":"Mälteriet 2 - 7101*","nm":"7101 - Mälteriet 2"},"contentType":0,"contentId":0,"objectId":"90","classId":"11", securityMask:"3"}

POST /object/byguid/link/{srcGuid}

Links object to object

Example of request:

[{"systemGuid":"107"},{"systemGuid":"108"}]

Try it out!

Request Parameters
name type description default constraints
srcGuid path The unique UUID identifier of source object.    
Request Body
media type data type description
application/json string (JSON) Array with destination objects
Response Body
media type data type description
application/json object (JSON) JSON Response with the information, whether operation has been succeeded.

GET /object/byguid/linkedspots/{guid}

Show spots linked to object

Try it out!

Request Parameters
name type description default constraints
guid path The unique UUID identifier of object.    
Response Body
media type data type description
application/json HdcBaseTO (JSON) JSON Response with the specified object's list of links.

Example of response:

{"linkedObjects":[{"classId":"10","objectId":"0","objectName":"Root2","isDefault":false},{"classId":"5","objectId":"106582","objectName":"spot","isDefault":false},{"classId":"101","objectId":"244011","objectName":"","isDefault":false},{"classId":"100","objectId":"268940","objectName":"5tt","isDefault":false},{"classId":"100","objectId":"269099","objectName":"8888","isDefault":false}],"entityId":"243972","sequence":0}

GET /object/byguid/path/{guid}

Get paths for given object.

Try it out!

Request Parameters
name type description default constraints
guid path The unique UUID identifier of object.    
Response Body
media type data type description
application/json object (JSON) JSON Response with the information about paths to object

Example of response:

[[{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"Mina Fastigheter\"","objectId":"12","classId":"110"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"7181 - SVEDJAREN 1 (Äldreboende)\"","objectId":"21673","classId":"104"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"2","objectId":"21674","classId":"105"}],[{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"Mina Fastigheter\"","objectId":"12","classId":"110"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"7194 - KARLSTAD (FI2) updated\"","objectId":"5149","classId":"102"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"Sommarro","objectId":"5150","classId":"103"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"Aspen 3\"","objectId":"5151","classId":"104"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"01","objectId":"5152","classId":"105"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"\" 10\"","objectId":"5153","classId":"107"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"11","objectId":"5167","classId":"108"}]]

PUT /object/byguid/undelete/{guid}

Undelete object of the specified class with the specified identifier.

Try it out!

Request Parameters
name type description default constraints
guid path The unique UUID identifier of object.    
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the operation has succeeded.

POST /object/byguid/unlink/{srcGuid}

Remove Links between source object and specified objects

Example of request:

[{"systemGuid":"i6ec91a9-8248-4121-84b0-f50cb42ed371"},{"systemGuid":"974d7291-46d9-44ac-b94f-91ca4df2fe71"}]

Try it out!

Request Parameters
name type description default constraints
srcGuid path The unique UUID identifier of source object.    
Request Body
media type data type description
application/json string (JSON) Array with destination objects
Response Body
media type data type description
application/json object (JSON) JSON Response with the information, whether operation has been succeeded.

PUT /object/byguid/updateguid/json

Try it out!

Request Body
media type data type
application/json HdcUpdateGuidRequest (JSON)
Response Body
media type data type description
application/json object (JSON)

DELETE /object/erase/{classId}/{objectId}

Delete object of the specified class with the specified identifier.

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class.   long
objectId path The unique identifier of object to be deleted.   long
eraseSubtree query false boolean
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the deletion has or has not been succeeded.

POST /object/group/properties/json

Retrieve common properties of the specified object.

Example of request:

{"classId":14,"objects":[{"objectId":"5218","classId":"108"},{"objectId":"5219","classId":"108"},{"objectId":"5219","classId":"102"},{"objectId":"23123213","classId":"108"}]}

Try it out!

Request Body
media type data type description
application/json HdcObjsGroupRequestTO (JSON) The specification of object that has to be added.
Response Body
media type data type description
application/json HdcObjsGroupRequestTO (JSON) JSON:

Example of response:

{"classId": 108,"objects": [{"objectId":"5218","classId":"108"},{"objectId":"5219","classId":"108"},{"objectId":"5219","classId":"102"},{"objectId":"23123213","classId":"108"}], "metadata": [{"fi2space_areabra": "11.11"}, {"fi2space_comment": "after group final edition"}]}

DELETE /object/json/{classId}/{objectId}

Delete object of the specified class with the specified identifier.

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class.   long
objectId path The unique identifier of object to be deleted.   long
Request Body
media type data type
application/json DeleteObjectsRequest (JSON)
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the deletion has or has not been succeeded.

GET /object/json/{classId}/{objectId}

Get properties for given object.

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class.   long
objectId path The unique identifier of object.   long
location query - boolean flag false boolean
srId query - spatial reference id   long
status query If set to true - status mode is activated. false boolean
Response Body
media type data type description
application/json object (JSON) JSON Response with the specified object properties. Properties are in format {propertyName:propertyValue}.

Example of response:

{"metadata":{"fi2prop_function":"00","hd_objcustom3":"Vindragarvägen 16-18","fi2prop_class":"00","hdid":"90","hd_objcustom1":"Reimersholme","hd_objcustom2":"Södermalm","fi2prop_guid":"265a082e-8252-40d9-a867-24d923245262","fi2prop_name":"7101 - Mälteriet 2","fi2prop_id":"106","fi2prop_fullname":"Mälteriet 2 - 7101*","nm":"7101 - Mälteriet 2"},"contentType":0,"contentId":0,"objectId":"90","classId":"11", securityMask:"3"}

POST /object/link/{srcClassId}/{srcObjectId}

Links object to object

Example of request:

[{objectId: 123, classId: 12}, {objectId: 124, classId: 12}]

Try it out!

Request Parameters
name type description default constraints
srcClassId path The unique identifier of source object class.   long
srcObjectId path The unique identifier of source object   long
Request Body
media type data type description
application/json string (JSON) Array with destination objects
Response Body
media type data type description
application/json array of HdcLink (JSON) JSON Response with the information, whether operation has been succeeded.

GET /object/linkedspots/{srcClassId}/{srcObjectId}

Show spots linked to object

Try it out!

Request Parameters
name type description default constraints
srcClassId path The unique identifier of object class.   long
srcObjectId path The unique identifier of object.   long
Response Body
media type data type description
application/json object (JSON) JSON Response with the specified object's list of links.

Example of response:

{"linkedObjects":[{"classId":"10","objectId":"0","objectName":"Root2","isDefault":false},{"classId":"5","objectId":"106582","objectName":"spot","isDefault":false},{"classId":"101","objectId":"244011","objectName":"","isDefault":false},{"classId":"100","objectId":"268940","objectName":"5tt","isDefault":false},{"classId":"100","objectId":"269099","objectName":"8888","isDefault":false}],"entityId":"243972","sequence":0}

GET /object/path/{classId}/{objectId}

Get paths for given object.

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class.   long
objectId path The unique identifier of object.   long
Response Body
media type data type description
application/json object (JSON) JSON Response with the information about paths to object

Example of response:

[[{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"Mina Fastigheter\"","objectId":"12","classId":"110"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"7181 - SVEDJAREN 1 (Äldreboende)\"","objectId":"21673","classId":"104"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"2","objectId":"21674","classId":"105"}],[{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"Mina Fastigheter\"","objectId":"12","classId":"110"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"7194 - KARLSTAD (FI2) updated\"","objectId":"5149","classId":"102"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"Sommarro","objectId":"5150","classId":"103"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"\"Aspen 3\"","objectId":"5151","classId":"104"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"01","objectId":"5152","classId":"105"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"\" 10\"","objectId":"5153","classId":"107"},{"metadata":{},"contentType":0,"contentId":0,"objectName":"11","objectId":"5167","classId":"108"}]]

PUT /object/undelete/{classId}/{objectId}

Undelete object of the specified class with the specified identifier.

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class.   long
objectId path The unique identifier of object to be deleted.   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the operation has succeeded.

POST /object/unlink/{srcClassId}/{srcObjectId}

Remove Links between source object and specified objects

Example of request:

[{systemGuid: 123a}, {systemGuid: 123}]

Try it out!

Request Parameters
name type description default constraints
srcClassId path The unique identifier of source object class.   long
srcObjectId path The unique identifier of source object   long
Request Body
media type data type description
application/json string (JSON) Array with destination objects
Response Body
media type data type description
application/json array of HdcLink (JSON) JSON Response with the information, whether operation has been succeeded.

GET /object/byguid/default/{guid}/{perspectiveSetId}

Get default object info for given object in context of specified perspective set.

Try it out!

Request Parameters
name type description default constraints
guid path The unique UUID identifier of object.    
perspectiveSetId path The unique identifier of perspective set.   long
Response Body
media type data type description
application/json object (JSON) JSON Response with the default object link.

Example of response:

{contentType:2,contentId:363,"classId":"10","objectId":"0"}

If there is no default object, then you should receive empty JSON. If there is no content added to default object you should receive JSON without "contentType" and "contentId" parameters.

POST /object/byguid/group/properties/json

Retrieve common properties of the specified object.

Example of request:

{"classId":14,"objects":[{"systemGuid":"5218"},{"systemGuid":"521s9"}]}

Try it out!

Request Body
media type data type description
application/json HdcObjsGroupRequestTO (JSON) The specification of object that has to be added.
Response Body
media type data type description
application/json object (JSON) JSON:

Example of response:

{"classId": 108,"objects": [{"objectId":"5218","classId":"108"},{"objectId":"5219","classId":"108"},{"objectId":"5219","classId":"102"},{"objectId":"23123213","classId":"108"}], "metadata": [{"fi2space_areabra": "11.11"}, {"fi2space_comment": "after group final edition"}]}

POST /object/byguid/link/{dstGuid}/{srcGuid}

Links object to object

Try it out!

Request Parameters
name type description default constraints
dstGuid path The unique UUID identifier of destination object.    
srcGuid path The unique UUID identifier of source object.    
Response Body
media type data type description
application/json object (JSON) JSON Response with the information, whether operation has been succeeded.

GET /object/byguid/list/json/{guid}

Get properties for given object identified by guid.

Try it out!

Request Parameters
name type description default constraints
guid path The unique UUID identifier of object.    
status query If set to true - status mode is activated. false boolean
Response Body
media type data type description
application/json HdcObjectWithMetadataListTO (JSON) JSON Response with the specified object properties. Properties are in format {propertyName, "fieldName":propertyName}.

Example of response:

{"metadataList":[{"fi2prop_function":"00"},{"hd_objcustom3":"Vindragarvägen 16-18"},{"fi2prop_class":"00"},{"hdid":"90"},{"hd_objcustom1":"Reimersholme"},{"hd_objcustom2":"Södermalm"},{"fi2prop_guid":"265a082e-8252-40d9-a867-24d923245262"},{"fi2prop_name":"7101 - Mälteriet 2"},{"fi2prop_id":"106"},{"fi2prop_fullname":"Mälteriet 2 - 7101*"},{"nm":"7101 - Mälteriet 2"}],"contentType":0,"contentId":0,"objectName":"7101 - Mälteriet 2","objectId":"90","classId":"11", securityMask:"3"}

GET /object/byguid/versions/json/{guid}

Get versions history for object by system Guid.

Try it out!

Request Parameters
name type description default constraints
guid path The unique UUID identifier of object.    
Response Body
media type data type description
application/json object (JSON) JSON Response with the specified object history as the array of versions.

Example of response:

{"list":[{"versionDescription":"Initial system version","versionPublishDate":"2014-09-22T12:35:00.890599Z","versionOperation":"insert","operationDate":"2015-06-11T13:28:12.960056Z","versionId":"1","isCurrent":"false","dataUserFullName":"Administrator","isMaster":"true","versionOwnerFullName":"Administrator","versionName":"Initial system version","versionDate":"2014-09-22T12:35:00.890599Z","dataSource":"manual input"},{"versionDescription":"Draft version","versionPublishDate":"2015-10-19T15:16:00.059541Z","versionOperation":"update","operationDate":"2015-11-02T15:39:57.856905Z","versionId":"66","isCurrent":"true","dataUserFullName":"Demo","isMaster":"true","versionOwnerFullName":"Archive Operator","versionName":"972b4d11-596e-43fb-9c36-20fd058ce40a","versionDate":"2015-10-19T15:16:00.059541Z","dataSource":"manual input"},{"versionDescription":"","versionPublishDate":"","versionOperation":"update","operationDate":"2018-12-03T16:18:34.702547Z","versionId":"6544","isCurrent":"false","dataUserFullName":"Sample User","isMaster":"false","versionOwnerFullName":"Sample User","versionName":"import tests","versionDate":"2018-10-26T14:46:56.492802Z","dataSource":"manual input"}],"objectId":"12","classId":"110"}

GET /object/default/{srcClassId}/{srcObjectId}/{perspectiveSetId}

Get default object info for given object in context of specified perspective set.

Try it out!

Request Parameters
name type description default constraints
perspectiveSetId path The unique identifier of perspective set.   long
srcClassId path The unique identifier of object class.   long
srcObjectId path The unique identifier of object.   long
Response Body
media type data type description
application/json HdcObjectTO (JSON) JSON Response with the default object link.

Example of response:

{contentType:2,contentId:363,"classId":"10","objectId":"0"}

If there is no default object, then you should receive empty JSON. If there is no content added to default object you should receive JSON without "contentType" and "contentId" parameters.

GET /object/list/json/{classId}/{objectId}

Get properties for given object.

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class.   long
objectId path The unique identifier of object.   long
status query If set to true - status mode is activated. false boolean
Response Body
media type data type description
application/json HdcObjectWithMetadataListTO (JSON) JSON Response with the specified object properties. Properties are in format {propertyName, "fieldName":propertyName}.

Example of response:

{"metadataList":[{"fi2prop_function":"00"},{"hd_objcustom3":"Vindragarvägen 16-18"},{"fi2prop_class":"00"},{"hdid":"90"},{"hd_objcustom1":"Reimersholme"},{"hd_objcustom2":"Södermalm"},{"fi2prop_guid":"265a082e-8252-40d9-a867-24d923245262"},{"fi2prop_name":"7101 - Mälteriet 2"},{"fi2prop_id":"106"},{"fi2prop_fullname":"Mälteriet 2 - 7101*"},{"nm":"7101 - Mälteriet 2"}],"contentType":0,"contentId":0,"objectName":"7101 - Mälteriet 2","objectId":"90","classId":"11", securityMask:"3"}

GET /object/versions/json/{classId}/{objectId}

Get versions history for object of the specified class with the specified identifier method.

Try it out!

Request Parameters
name type description default constraints
classId path The unique identifier of object class.   long
objectId path The unique identifier of object.   long
Response Body
media type data type description
application/json ObjectHistory (JSON) JSON Response with the specified object history as the array of versions.

Example of response:

{"list":[{"versionDescription":"Initial system version","versionPublishDate":"2014-09-22T12:35:00.890599Z","versionOperation":"insert","operationDate":"2015-06-11T13:28:12.960056Z","versionId":"1","isCurrent":"false","dataUserFullName":"Administrator","isMaster":"true","versionOwnerFullName":"Administrator","versionName":"Initial system version","versionDate":"2014-09-22T12:35:00.890599Z","dataSource":"manual input"},{"versionDescription":"Draft version","versionPublishDate":"2015-10-19T15:16:00.059541Z","versionOperation":"update","operationDate":"2015-11-02T15:39:57.856905Z","versionId":"66","isCurrent":"true","dataUserFullName":"Demo","isMaster":"true","versionOwnerFullName":"Archive Operator","versionName":"972b4d11-596e-43fb-9c36-20fd058ce40a","versionDate":"2015-10-19T15:16:00.059541Z","dataSource":"manual input"},{"versionDescription":"","versionPublishDate":"","versionOperation":"update","operationDate":"2018-12-03T16:18:34.702547Z","versionId":"6544","isCurrent":"false","dataUserFullName":"Sample User","isMaster":"false","versionOwnerFullName":"Sample User","versionName":"import tests","versionDate":"2018-10-26T14:46:56.492802Z","dataSource":"manual input"}],"objectId":"12","classId":"110"}

POST /object/link/{dstClassId}/{dstObjectId}/{srcClassId}/{srcObjectId}

Links object to object

Try it out!

Request Parameters
name type description default constraints
dstClassId path The unique identifier of object class.   long
dstObjectId path The unique identifier of object, which linking to source object.   long
srcClassId path The unique identifier of object class.   long
srcObjectId path The unique identifier of object, to which destination object links.   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with the information, whether operation has been succeeded.

POST /object/link/default/{dstClassId}/{dstObjectId}/{srcClassId}/{srcObjectId}/{perspectiveSetId}

Set specified link as default in context of specified perspective set.

Try it out!

Request Parameters
name type description default constraints
dstClassId path The unique identifier of object class.   long
dstObjectId path The unique identifier of object.   long
perspectiveSetId path The unique identifier of perspective set.   long
srcClassId path The unique identifier of object class.   long
srcObjectId path The unique identifier of object.   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with the information, whether operation has been succeeded.

POST /object/byguid/link/default/{dstClassId}/{dstObjectId}/{srcClassId}/{srcObjectId}/{perspectiveSetId}

Set specified link as default in context of specified perspective set.

Try it out!

Request Parameters
name type description default constraints
dstClassId path The unique identifier of object class.   long
dstObjectId path The unique identifier of object.   long
perspectiveSetId path The unique identifier of perspective set.   long
srcClassId path The unique identifier of object class.   long
srcObjectId path The unique identifier of object.   long
Response Body
media type data type description
application/json object (JSON) JSON Response with the information, whether operation has been succeeded.